'use strict';var dotenv=require('dotenv');require('reflect-metadata');var uuid=require('uuid'),marketing=require('./store/marketing.js'),envConfig=require('./config/env-config.js'),curdInsert=require('./store/curd-insert.js'),mongoose=require('mongoose');function _interopNamespaceDefault(e){var n=Object.create(null);if(e){Object.keys(e).forEach(function(k){if(k!=='default'){var d=Object.getOwnPropertyDescriptor(e,k);Object.defineProperty(n,k,d.get?d:{enumerable:true,get:function(){return e[k]}});}})}n.default=e;return Object.freeze(n)}var dotenv__namespace=/*#__PURE__*/_interopNamespaceDefault(dotenv);if (process.env.ENV_FILE) {
  dotenv__namespace.config({
    path: process.env.ENV_FILE
  });
}
envConfig.config.S_START_SEQ;
envConfig.config.S_END_SEQ;
const batchSize = 10000; // Set your preferred batch size
// Function to transform and import a single document
async function transformAndImportDocument(existingDocument, marketingContacts, batch) {
  try {
    // Generate a new UUID
    const newUuid = uuid.v4();
    // Transform the existing document into the new schema structure
    const transformedDocument = {
      originalId: existingDocument._id,
      uuid: newUuid,
      // Generate a UUID or use an appropriate value
      orgName: 'leslieMar',
      // Default value as per your schema
      name: existingDocument.fullName,
      firstName: existingDocument.firstName,
      lastName: existingDocument.lastName,
      address: existingDocument.address,
      address2: existingDocument.address2,
      city: existingDocument.city,
      state: existingDocument.state,
      zip: existingDocument.zip,
      phone: existingDocument.phone,
      email: existingDocument.email,
      company: '',
      // Set as appropriate
      // ip: existingDocument.owner_verifications[0].pool_proof_url || '', // Check the appropriate field
      datestamp: existingDocument.createdAt,
      use: '',
      // Set as appropriate
      code: '',
      // Set as appropriate
      optIn: false,
      // Set as appropriate
      createDate: '',
      // Set as appropriate
      isGuest: false,
      // Set as appropriate
      mailerType: '',
      // Set as appropriate
      optOutReason: '',
      // Set as appropriate
      lastVrUpdate: '',
      // Set as appropriate
      bounceCounter: 0,
      // Set as appropriate
      site: '',
      // Set as appropriate
      lastLogin: existingDocument.lastLogin,
      // You can adjust this
      isAppUser: false,
      // Set as appropriate
      interactionSent: false,
      // Set as appropriate
      isVerified: false,
      unit: '',
      // Set as appropriate
      unitType: '',
      // Set as appropriate
      isActive: false // Adjust based on your criteria
    };
    // Push the transformed document to the batch
    batch.push(transformedDocument);
    // If the batch size is reached, insert the batch into the database
    if (batch.length >= batchSize) {
      await marketingContacts.insertMany(batch);
      console.log(`Batch of ${batch.length} documents saved.`);
      // Clear the batch
      batch.length = 0;
    }
  } catch (error) {
    console.error('Error saving document', error);
  }
}
const startJob = async () => {
  console.time('dbsave');
  try {
    await curdInsert.mongoClient.connect();
    const db = curdInsert.mongoClient.db('container-stack');
    const cursor = db.collection('marketingContactsUser').find(); // Retrieve all documents
    let batch = [];
    const conn = await mongoose.createConnection(envConfig.config.MONGO_URL, {}).asPromise();
    const marketingContacts = marketing.MarketingContactModelFunc(conn);
    while (await cursor.hasNext()) {
      const existingDocument = await cursor.next();
      await transformAndImportDocument(existingDocument, marketingContacts, batch);
    }
    // Insert any remaining documents in the batch
    if (batch.length > 0) {
      await marketingContacts.insertMany(batch);
      console.log(`Final batch of ${batch.length} documents saved.`);
    }
    console.log('All documents imported successfully.');
  } catch (error) {
    console.error('Error importing documents:', error);
  } finally {
    console.log('imported with missing ones as follow');
    await curdInsert.mongoClient.close();
    console.timeEnd('dbsave');
  }
};
startJob().catch(console.dir);//# sourceMappingURL=moveMusersToMarketContacts.js.map
