'use strict';var dotenv=require('dotenv');require('reflect-metadata');var cache=require('./cache.js'),sUserQuery=require('./graphql/gql/s-user-query.gql.js'),nodeFetch=require('./nodeFetch.js'),envConfig=require('./config/env-config.js'),curdInsert=require('./store/curd-insert.js');function _interopNamespaceDefault(e){var n=Object.create(null);if(e){Object.keys(e).forEach(function(k){if(k!=='default'){var d=Object.getOwnPropertyDescriptor(e,k);Object.defineProperty(n,k,d.get?d:{enumerable:true,get:function(){return e[k]}});}})}n.default=e;return Object.freeze(n)}var dotenv__namespace=/*#__PURE__*/_interopNamespaceDefault(dotenv);if (process.env.ENV_FILE) {
  dotenv__namespace.config({
    path: process.env.ENV_FILE
  });
}
const initial = envConfig.config.S_START_SEQ;
const final = envConfig.config.S_END_SEQ;
const startJob = async () => {
  console.time("dbsave");
  try {
    await curdInsert.mongoClient.connect();
    const db = curdInsert.mongoClient.db('S_DATA');
    const coll = db.collection('user');
    for (let i = initial; i < final; i++) {
      const data = await nodeFetch.fetchData(envConfig.config.S_GRAPHQL_URL, envConfig.config.S_AUTHORIZATION_HEADER, sUserQuery.default, {
        userId: i
      });
      // const data = { name: "Halley's Comet", officialName: "1P/Halley", orbitalPeriod: 75, radius: 3.4175, mass: 2.2e14 };
      const poolData = data?.data?.user;
      if (poolData) await coll.insertOne(poolData);
    }
  } finally {
    console.log('imported with missing ones as follow');
    cache.default.printDetails();
    await curdInsert.mongoClient.close();
    console.timeEnd("dbsave");
  }
};
startJob().catch(console.dir);//# sourceMappingURL=user.js.map
